## profile/profcheck

### Summary

Check an ICC profile against .ti3 test chart data.

### Usage Summary

profcheck [-options] data.ti3 iccprofile.icm
-v [level] Verbosity level (default 1), 2 to print each DE
-c Show CIE94 delta E values
-k Show CIEDE2000 delta E values
-w create VRML visualization (iccprofile.wrl)
-x Use VRML axes
-m Make VRML lines a minimum of 0.5
-e Color vectors acording to delta E
-d devval1,deval2,devvalN
Specify a device value to sort against
-p Sort device value by PCS/Lab target
-i illum Choose illuminant for print/transparency spectral data:
A, C, D50 (def.), D65, F5, F8, F10 or file.sp
-o observ Choose CIE Observer for spectral data:
1931_2 (def.), 1964_10, S&B 1955_2, shaw, J&V 1978_2
-f Use Fluorescent Whitening Agent compensation
data.ti3 Test point data file
iccprofile.icm Profile to check

### Usage Details and Discussion

profcheck provides a way of checking how well an ICC profile conforms to the test sample data that was used to create it (or other test samples that are from the same device). This is the same sort of check done within the profile making utility (colprof), but having a separate utility provides some flexibility. The absolute forward table in the profile is used to create PCS values from the sample points, and the profiles PCS value then compared to the PCS values of the measured sample points. Note the lower delta E values are not always a better measure of how good a profile is. The aim of a profile is to model the underlying characteristics of a device, not to slavishly reproduce the sampled data point values. Sampled data point values contain device variation and instrument reading inaccuracies, and a good profiler will try and filter out this noise, resulting in some deliberate differences between the profile and the sample points used to create it.
The -v flag prints out extra information during the checking. A value greater than 1 will print the color values of each test point.
The -c option causes the differences between the test values and the profile prediction of the color for each device value to be displayed in CIE94 delta E, rather than plain L*a*b* delta E. CIE94 delta E has a closer correspondence with perceived color differences than the default CIE76 delta E values.
The -k option causes the differences between the test values and the profile prediction of the color for each device value to be displayed in CIEDE2000 delta E, rather than plain L*a*b* delta E. CIEDE2000 delta E has a closer correspondence with perceived color differences than either CIE76 or CIE94 delta E values.
The -w creates a VRML 3D visualization of the differences between the test points and the profiles prediction of the resulting colors.
The -x flag adds Lab axes to the VRML output.
The -m flag makes each error line a minimum of 0.5 delta E long, so that all the points are visible. This makes it easier to view the distribution of test points in the reference set.
The -e flag causes the error vectors in the VRML output to be color coded according to their lengths, from longest to shortest: yellow, red, magenta, blue, cyan and green.
The -d parameters allow the specification of a particular device value, and the test point by test point output will be sorted by distance from the given device value. This can be useful in determining how well "supported" the profile is in a particular area of the colorspace.
If the -p flag is used in combination with the -d parameters, then the test point by test point output will be sorted by distance in PCS (Lab) space rather than distance in device space.
The -i flag allows specifying a standard or custom illumination spectrum, applied to the spectral test point values, to compute CIE tristimulus values. A, D50, D65, F5, F8, F10 are a selection of standard illuminant spectrums, with D50 being the default. If a filename is specified instead, it will be assumed to be an Argyll specific .sp spectrum file. The same value should be used as was used during the creation of the profile.
The -o flag allows specifying a tristimulus observer, and is used to compute PCS (Profile Connection Space) tristimulus values. The following choices are available:
1931_2 selects the standard CIE 1931 2 degree observer. The default.
1964_10 selects the standard CIE 1964 10 degree observer.
1955_2 selects the Stiles and Birch 1955 2 degree observer
1978_2 selects the Judd and Voss 1978 2 degree observer
shaw selects the Shaw and Fairchild 1997 2 degree observer
The same parameter value should be used as was used during the creation of the profile.
The -f flag enables Fluorescent Whitening Agent compensation, which compensates for the effect a different illuminant will have, on any Fluorescent Whitening Agent present in the reflective media. The same setting should be used as was used during the creation of the profile.